## chocolate-doom 3.0.1+really3.0.0+git1017

=== pcsound/CMakeLists.txt ===
add_library(pcsound STATIC
            pcsound.c       pcsound.h
            pcsound_bsd.c
            pcsound_sdl.c
            pcsound_linux.c
            pcsound_win32.c
                            pcsound_internal.h)
target_include_directories(pcsound
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(pcsound SDL2::mixer)

=== src/CMakeLists.txt ===
foreach(SUBDIR doom heretic hexen strife setup)
    add_subdirectory("${SUBDIR}")
endforeach()

# Common source files used by absolutely everything:

set(COMMON_SOURCE_FILES
    i_main.c
    i_system.c           i_system.h
    m_argv.c             m_argv.h
    m_misc.c             m_misc.h)

# Dedicated server (chocolate-server):

set(DEDSERV_FILES
    d_dedicated.c
    d_iwad.c            d_iwad.h
    d_mode.c            d_mode.h
    deh_str.c           deh_str.h
    i_timer.c           i_timer.h
    m_config.c          m_config.h
    net_common.c        net_common.h
    net_dedicated.c     net_dedicated.h
    net_io.c            net_io.h
    net_packet.c        net_packet.h
    net_sdl.c           net_sdl.h
    net_query.c         net_query.h
    net_server.c        net_server.h
    net_structrw.c      net_structrw.h
    z_native.c          z_zone.h)

add_executable("${PROGRAM_PREFIX}server" WIN32 ${COMMON_SOURCE_FILES} ${DEDSERV_FILES})
target_include_directories("${PROGRAM_PREFIX}server"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::net)

# Source files used by the game binaries (chocolate-doom, etc.)

set(GAME_SOURCE_FILES
    aes_prng.c          aes_prng.h
    d_event.c           d_event.h
                        doomkeys.h
                        doomtype.h
    d_iwad.c            d_iwad.h
    d_loop.c            d_loop.h
    d_mode.c            d_mode.h
                        d_ticcmd.h
    deh_str.c           deh_str.h
    gusconf.c           gusconf.h
    i_cdmus.c           i_cdmus.h
    i_endoom.c          i_endoom.h
    i_glob.c            i_glob.h
    i_input.c           i_input.h
    i_joystick.c        i_joystick.h
                        i_swap.h
    i_midipipe.c        i_midipipe.h
    i_musicpack.c
    i_oplmusic.c
    i_pcsound.c
    i_sdlmusic.c
    i_sdlsound.c
    i_sound.c           i_sound.h
    i_timer.c           i_timer.h
    i_video.c           i_video.h
    i_videohr.c         i_videohr.h
    midifile.c          midifile.h
    mus2mid.c           mus2mid.h
    m_bbox.c            m_bbox.h
    m_cheat.c           m_cheat.h
    m_config.c          m_config.h
    m_controls.c        m_controls.h
    m_fixed.c           m_fixed.h
    net_client.c        net_client.h
    net_common.c        net_common.h
    net_dedicated.c     net_dedicated.h
    net_defs.h
    net_gui.c           net_gui.h
    net_io.c            net_io.h
    net_loop.c          net_loop.h
    net_packet.c        net_packet.h
    net_petname.c       net_petname.h
    net_query.c         net_query.h
    net_sdl.c           net_sdl.h
    net_server.c        net_server.h
    net_structrw.c      net_structrw.h
    sha1.c              sha1.h
    memio.c             memio.h
    tables.c            tables.h
    v_diskicon.c        v_diskicon.h
    v_video.c           v_video.h
                        v_patch.h
    w_checksum.c        w_checksum.h
    w_main.c            w_main.h
    w_wad.c             w_wad.h
    w_file.c            w_file.h
    w_file_stdc.c
    w_file_posix.c
    w_file_win32.c
    w_merge.c           w_merge.h
    z_zone.c            z_zone.h)

set(GAME_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/../")

if(MSVC)
    list(APPEND GAME_SOURCE_FILES
         "../win32/win_opendir.c" "../win32/win_opendir.h")

    list(APPEND GAME_INCLUDE_DIRS
         "${PROJECT_SOURCE_DIR}/win32/")
endif()

set(DEHACKED_SOURCE_FILES
    deh_defs.h
    deh_io.c            deh_io.h
    deh_main.c          deh_main.h
    deh_mapping.c       deh_mapping.h
    deh_text.c)

# Some games support dehacked patches, some don't:

set(SOURCE_FILES ${COMMON_SOURCE_FILES} ${GAME_SOURCE_FILES})
set(SOURCE_FILES_WITH_DEH ${SOURCE_FILES} ${DEHACKED_SOURCE_FILES})

set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net textscreen pcsound opl)
if(SAMPLERATE_FOUND)
    list(APPEND EXTRA_LIBS samplerate::samplerate)
endif()
if(PNG_FOUND)
    list(APPEND EXTRA_LIBS PNG::PNG)
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}doom" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}doom" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}doom" PRIVATE ${GAME_INCLUDE_DIRS})
target_link_libraries("${PROGRAM_PREFIX}doom" doom ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}doom" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}heretic" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}heretic" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}heretic" PRIVATE ${GAME_INCLUDE_DIRS})
target_link_libraries("${PROGRAM_PREFIX}heretic" heretic ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}heretic" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}hexen" WIN32 ${SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}hexen" ${SOURCE_FILES})
endif()

target_include_directories("${PROGRAM_PREFIX}hexen" PRIVATE ${GAME_INCLUDE_DIRS})
target_link_libraries("${PROGRAM_PREFIX}hexen" hexen ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}hexen" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}strife" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}strife" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}strife" PRIVATE ${GAME_INCLUDE_DIRS})
target_link_libraries("${PROGRAM_PREFIX}strife" strife ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}strife" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

# Source files needed for chocolate-setup:

set(SETUP_FILES
    deh_str.c           deh_str.h
    d_mode.c            d_mode.h
    d_iwad.c            d_iwad.h
    i_timer.c           i_timer.h
    m_config.c          m_config.h
    m_controls.c        m_controls.h
    net_io.c            net_io.h
    net_packet.c        net_packet.h
    net_petname.c       net_petname.h
    net_sdl.c           net_sdl.h
    net_query.c         net_query.h
    net_structrw.c      net_structrw.h
    z_native.c          z_zone.h)

if(WIN32)
    add_executable("${PROGRAM_PREFIX}setup" WIN32 ${SETUP_FILES} ${COMMON_SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
else()
    add_executable("${PROGRAM_PREFIX}setup" ${SETUP_FILES} ${COMMON_SOURCE_FILES})
endif()

target_include_directories("${PROGRAM_PREFIX}setup"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net setup textscreen)

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}setup" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

add_executable(midiread midifile.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
target_compile_definitions(midiread PRIVATE "-DTEST")
target_include_directories(midiread PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(midiread SDL2::SDL2main SDL2::SDL2)

add_executable(mus2mid mus2mid.c memio.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
target_compile_definitions(mus2mid PRIVATE "-DSTANDALONE")
target_include_directories(mus2mid PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(mus2mid SDL2::SDL2main SDL2::SDL2)

=== textscreen/CMakeLists.txt ===
add_library(textscreen STATIC
            textscreen.h
            txt_conditional.c   txt_conditional.h
            txt_checkbox.c      txt_checkbox.h
            txt_desktop.c       txt_desktop.h
            txt_dropdown.c      txt_dropdown.h
            txt_fileselect.c    txt_fileselect.h
            txt_gui.c           txt_gui.h
            txt_inputbox.c      txt_inputbox.h
            txt_io.c            txt_io.h
                                txt_main.h
            txt_button.c        txt_button.h
            txt_label.c         txt_label.h
            txt_radiobutton.c   txt_radiobutton.h
            txt_scrollpane.c    txt_scrollpane.h
            txt_separator.c     txt_separator.h
            txt_spinctrl.c      txt_spinctrl.h
            txt_sdl.c           txt_sdl.h
            txt_strut.c         txt_strut.h
            txt_table.c         txt_table.h
            txt_utf8.c          txt_utf8.h
            txt_widget.c        txt_widget.h
            txt_window.c        txt_window.h
            txt_window_action.c txt_window_action.h)
target_include_directories(textscreen
                           INTERFACE "."
                           PRIVATE "../src/")
target_link_libraries(textscreen m SDL2::SDL2)

=== src/hexen/CMakeLists.txt ===
add_library(hexen STATIC
            a_action.c
                                am_data.h
            am_map.c            am_map.h
            ct_chat.c
                                ct_chat.h
            d_net.c
            f_finale.c
            g_game.c
                                h2def.h
            h2_main.c
            info.c              info.h
            in_lude.c
            m_random.c          m_random.h
            mn_menu.c
            p_acs.c
            p_anim.c
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_floor.c
            p_inter.c
            p_lights.c
                                p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c
            po_man.c
            p_plats.c
            p_pspr.c
            p_setup.c
            p_sight.c
            p_spec.c           p_spec.h
            p_switch.c
            p_telept.c
            p_things.c
            p_tick.c
            p_user.c
            r_bsp.c
            r_data.c
            r_draw.c
                                r_local.h
            r_main.c
            r_plane.c
            r_segs.c
            r_things.c
            s_sound.c           s_sound.h
            sb_bar.c
            sc_man.c
            sn_sonix.c
            sounds.c            sounds.h
            st_start.c          st_start.h
            sv_save.c
                                textdefs.h
                                xddefs.h)

target_include_directories(hexen PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(hexen SDL2::SDL2 SDL2::mixer SDL2::net)

=== debian/changelog ===
chocolate-doom (3.0.1+really3.0.0+git1017-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Fabian Greffrath ]
  * Recommend freedoom instead of freedm.
  * New upstream GIT snapshot 3.0.1+really3.0.0+git1017, which is
    1017(!) commits ahead of the 3.0.0 release, including the 2 fixes
    from the 3.0.1 release branch.
  * Fix debian/watch file.
  * Remove all patches, applied upstream.
  * Do not remove textscreen font headers in the clean rule anymore
    and remove *.metainfo.xml instead of *.appdata.xml.
  * Do not install files manually anymore, let the upstream install
    rule take care of this.
  * Remove now unnecessary
    package-contains-upstream-install-documentation lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to 13.
  * Bump "Build-Depends: libsdl2-dev" to (>= 2.0.7) and
    "Build-Depends: libsdl2-mixer-dev" to (>= 2.0.2) as required by
    the build system.
  * Remove preinst script that handled the transition from 2.1.0-2
    (pre-oldstable).
  * Update debian/copyright for some win32-specific auxiliary files.
  * Remove explicit "--as-needed" linker flag.
  * Add lintian overrides for uninstalled examples of the utility
    libraries.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 20 Aug 2021 09:02:56 +0200

=== debian/control ===
Source: chocolate-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bash-completion,
 libpng-dev,
 libsamplerate0-dev,
 libsdl2-mixer-dev (>= 2.0.2),
 libsdl2-net-dev (>= 2.0.0),
 libsdl2-dev (>= 2.0.7),
 python3,
 python3-pil
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
Homepage: https://chocolate-doom.org/
Rules-Requires-Root: no

Package: chocolate-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedoom | game-data-packager
Provides:
 chocolate-heretic,
 chocolate-hexen,
 chocolate-strife,
 doom-engine,
 heretic-engine,
 hexen-engine,
 strife-engine
Breaks:
 freedm (<< 0.9),
 freedoom (<< 0.12.1),
 chocolate-heretic (<< 2.2.1-5~),
 chocolate-hexen (<< 2.2.1-5~),
 chocolate-strife (<< 2.2.1-5~),
 chocolate-common (<< 2.2.1-5~)
Replaces:
 chocolate-heretic (<< 2.2.1-5~),
 chocolate-hexen (<< 2.2.1-5~),
 chocolate-strife (<< 2.2.1-5~),
 chocolate-common (<< 2.2.1-5~)
Description: Doom engines closely-compatible with Vanilla Doom
 Chocolate Doom aims to accurately reproduce the original DOS version of
 Doom and other games based on the Doom engine in a form that can be
 run on modern computers. Unlike most modern Doom engines, Chocolate Doom
 is not derived from the Boom source port and does not inherit its
 features (or bugs).
 .
 This package contains:
  * Chocolate Doom, a port of Id Software's "Doom" (1993)
  * Chocolate Heretic, a port of Raven Software's "Heretic" (1994)
  * Chocolate Hexen, a port of Raven Software's "Hexen" (1995)
  * Chocolate Strife, a recreation of Rogue Entertainment's "Strife" (1996)
 .
 These games are designed to behave as similar to the original DOS version as
 is possible.
 .
 Chocolate Doom supports all flavors of Doom, including The Ultimate Doom, Doom
 2 and Final Doom as well as Chex(R) Quest, HacX, Freedoom: Phase 1 and Phase 2
 and FreeDM.
 .
 All Chocolate game engines require game data to play. For Chocolate Doom,
 free game data is available in the freedoom package. Commercial game data for
 all four engines can be packaged using "game-data-packager".

=== debian/watch ===
version=4
https://github.com/@PACKAGE@/@PACKAGE@/releases \
https://github.com/@PACKAGE@/@PACKAGE@/archive/refs/tags/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## chocolate-doom 3.0.1+really3.0.0+git1208

=== CMakeLists.txt ===
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

cmake_minimum_required(VERSION 3.7.2)
project("Chocolate Doom" VERSION 3.0.0 LANGUAGES C)

# Autotools variables
set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
set(top_builddir ${CMAKE_CURRENT_BINARY_DIR})

# AC_INIT variables
set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_TARNAME "chocolate-doom")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PACKAGE_BUGREPORT "chocolate-doom-dev-list@chocolate-doom.org")

string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2022")
set(PACKAGE_LICENSE "GNU General Public License, version 2")

# Any settings that should apply to all targets in this directory and all
# subdirectories should go here.  Use judiciously.
if(MSVC)
    add_definitions("/D_CRT_SECURE_NO_WARNINGS" "/D_CRT_SECURE_NO_DEPRECATE"
                    "/D_CRT_NONSTDC_NO_DEPRECATE")
else()
    add_compile_options("-Wall" "-Wdeclaration-after-statement"
                        "-Wredundant-decls")
endif()

option(ENABLE_SDL2_NET "Enable SDL2_net" On)
option(ENABLE_SDL2_MIXER "Enable SDL2_mixer" On)

find_package(SDL2 2.0.7)
if(ENABLE_SDL2_MIXER)
    find_package(SDL2_mixer 2.0.2)
else()
    add_compile_definitions(DISABLE_SDL2MIXER=1)
endif()

if(ENABLE_SDL2_NET)
    find_package(SDL2_net 2.0.0)
else()
    add_compile_definitions(DISABLE_SDL2NET=1)
endif()

# Check for libsamplerate.
find_package(samplerate)
if(SAMPLERATE_FOUND)
    set(HAVE_LIBSAMPLERATE TRUE)
endif()

# Check for libpng.
find_package(PNG)
if(PNG_FOUND)
    set(HAVE_LIBPNG TRUE)
endif()

find_package(m)

include(CheckSymbolExists)
include(CheckIncludeFile)
check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)
check_include_file("dirent.h" HAVE_DIRENT_H)

string(CONCAT WINDOWS_RC_VERSION "${PROJECT_VERSION_MAJOR}, "
    "${PROJECT_VERSION_MINOR}, ${PROJECT_VERSION_PATCH}, 0")

# Without a hyphen. This is used for the bash-completion scripts.
string(TOLOWER "${PACKAGE_SHORTNAME}" PROGRAM_SPREFIX)

# With a hyphen, used almost everywhere else.
set(PROGRAM_PREFIX "${PROGRAM_SPREFIX}-")

configure_file(cmake/config.h.cin config.h)

configure_file(src/doom-res.rc.in src/doom-res.rc)
configure_file(src/heretic-res.rc.in src/heretic-res.rc)
configure_file(src/hexen-res.rc.in src/hexen-res.rc)
configure_file(src/setup-res.rc.in src/setup-res.rc)
configure_file(src/setup/setup-manifest.xml.in src/setup/setup-manifest.xml)
configure_file(src/strife-res.rc.in src/strife-res.rc)

foreach(SUBDIR textscreen opl pcsound src)
    add_subdirectory("${SUBDIR}")
endforeach()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,10 @@
 add_executable("${PROGRAM_PREFIX}server" WIN32 ${COMMON_SOURCE_FILES} ${DEDSERV_FILES})
 target_include_directories("${PROGRAM_PREFIX}server"
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
-target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::net)
+target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::SDL2)
+if(ENABLE_SDL2_NET)
+    target_link_libraries("${PROGRAM_PREFIX}server" SDL2::net)
+endif()
 
 # Source files used by the game binaries (chocolate-doom, etc.)
 
@@ -53,7 +56,6 @@
     i_input.c           i_input.h
     i_joystick.c        i_joystick.h
                         i_swap.h
-    i_midipipe.c        i_midipipe.h
     i_musicpack.c
     i_oplmusic.c
     i_pcsound.c
@@ -63,6 +65,7 @@
     i_timer.c           i_timer.h
     i_video.c           i_video.h
     i_videohr.c         i_videohr.h
+    i_winmusic.c        i_winmusic.h
     midifile.c          midifile.h
     mus2mid.c           mus2mid.h
     m_bbox.c            m_bbox.h
@@ -121,16 +124,25 @@
 set(SOURCE_FILES ${COMMON_SOURCE_FILES} ${GAME_SOURCE_FILES})
 set(SOURCE_FILES_WITH_DEH ${SOURCE_FILES} ${DEHACKED_SOURCE_FILES})
 
-set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net textscreen pcsound opl)
+set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 textscreen pcsound opl)
+if(ENABLE_SDL2_MIXER)
+    list(APPEND EXTRA_LIBS SDL2::mixer)
+endif()
+if(ENABLE_SDL2_NET)
+    list(APPEND EXTRA_LIBS SDL2::net)
+endif()
 if(SAMPLERATE_FOUND)
     list(APPEND EXTRA_LIBS samplerate::samplerate)
 endif()
 if(PNG_FOUND)
     list(APPEND EXTRA_LIBS PNG::PNG)
 endif()
-
-if(WIN32)
-    add_executable("${PROGRAM_PREFIX}doom" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
+if(WIN32)
+	list(APPEND EXTRA_LIBS winmm)
+endif()
+
+if(WIN32)
+    add_executable("${PROGRAM_PREFIX}doom" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/doom-res.rc")
 else()
     add_executable("${PROGRAM_PREFIX}doom" ${SOURCE_FILES_WITH_DEH})
 endif()
@@ -144,7 +156,7 @@
 endif()
 
 if(WIN32)
-    add_executable("${PROGRAM_PREFIX}heretic" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
+    add_executable("${PROGRAM_PREFIX}heretic" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/heretic-res.rc")
 else()
     add_executable("${PROGRAM_PREFIX}heretic" ${SOURCE_FILES_WITH_DEH})
 endif()
@@ -158,7 +170,7 @@
 endif()
 
 if(WIN32)
-    add_executable("${PROGRAM_PREFIX}hexen" WIN32 ${SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
+    add_executable("${PROGRAM_PREFIX}hexen" WIN32 ${SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/hexen-res.rc")
 else()
     add_executable("${PROGRAM_PREFIX}hexen" ${SOURCE_FILES})
 endif()
@@ -172,7 +184,7 @@
 endif()
 
 if(WIN32)
-    add_executable("${PROGRAM_PREFIX}strife" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
+    add_executable("${PROGRAM_PREFIX}strife" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/strife-res.rc")
 else()
     add_executable("${PROGRAM_PREFIX}strife" ${SOURCE_FILES_WITH_DEH})
 endif()
@@ -210,7 +222,13 @@
 
 target_include_directories("${PROGRAM_PREFIX}setup"
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
-target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net setup textscreen)
+target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 setup textscreen)
+if(ENABLE_SDL2_MIXER)
+    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::mixer)
+endif()
+if(ENABLE_SDL2_NET)
+    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::net)
+endif()
 
 if(MSVC)
     set_target_properties("${PROGRAM_PREFIX}setup" PROPERTIES

=== src/hexen/CMakeLists.txt ===
--- 
+++ 
@@ -55,4 +55,10 @@
                                 xddefs.h)
 
 target_include_directories(hexen PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
-target_link_libraries(hexen SDL2::SDL2 SDL2::mixer SDL2::net)
+target_link_libraries(hexen SDL2::SDL2)
+if(ENABLE_SDL2_MIXER)
+    target_link_libraries(hexen SDL2::mixer)
+endif()
+if(ENABLE_SDL2_NET)
+    target_link_libraries(hexen SDL2::net)
+endif()

=== src/setup/CMakeLists.txt ===
add_library(setup STATIC
            compatibility.c     compatibility.h
            display.c           display.h
            joystick.c          joystick.h
            keyboard.c          keyboard.h
            mainmenu.c
            mode.c              mode.h
            mouse.c             mouse.h
            multiplayer.c       multiplayer.h
            sound.c             sound.h
            execute.c           execute.h
            txt_joyaxis.c       txt_joyaxis.h
            txt_joybinput.c     txt_joybinput.h
            txt_keyinput.c      txt_keyinput.h
            txt_mouseinput.c    txt_mouseinput.h)

target_include_directories(setup PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(setup textscreen SDL2::SDL2)
if(ENABLE_SDL2_MIXER)
    target_link_libraries(setup SDL2::mixer)
endif()

=== src/strife/CMakeLists.txt ===
set(STRIFE_SOURCES
    am_map.c        am_map.h
    deh_ammo.c
    deh_cheat.c
    deh_strife.c
    deh_frame.c
    deh_misc.c      deh_misc.h
    deh_ptr.c
    deh_sound.c
    deh_thing.c
    deh_weapon.c
                    d_englsh.h
    d_items.c       d_items.h
    d_main.c        d_main.h
    d_net.c
                    doomdata.h
    doomdef.c       doomdef.h
    doomstat.c      doomstat.h
                    d_player.h
    dstrings.c      dstrings.h
                    d_textur.h
                    d_think.h
    f_finale.c      f_finale.h
    f_wipe.c        f_wipe.h
    g_game.c        g_game.h
    hu_lib.c        hu_lib.h
    hu_stuff.c      hu_stuff.h
    info.c          info.h
    m_menu.c        m_menu.h
    m_random.c      m_random.h
    m_saves.c       m_saves.h
    p_ceilng.c
    p_dialog.c      p_dialog.h
    p_doors.c
    p_enemy.c
    p_floor.c
    p_inter.c       p_inter.h
    p_lights.c
                    p_local.h
    p_map.c
    p_maputl.c
    p_mobj.c        p_mobj.h
    p_plats.c
    p_pspr.c        p_pspr.h
    p_saveg.c       p_saveg.h
    p_setup.c       p_setup.h
    p_sight.c
    p_spec.c        p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c        p_tick.h
    p_user.c
    r_bsp.c         r_bsp.h
    r_data.c        r_data.h
                    r_defs.h
    r_draw.c        r_draw.h
                    r_local.h
    r_main.c        r_main.h
    r_plane.c       r_plane.h
    r_segs.c        r_segs.h
    r_sky.c         r_sky.h
                    r_state.h
    r_things.c      r_things.h
    s_sound.c       s_sound.h
    sounds.c        sounds.h
    st_lib.c        st_lib.h
    st_stuff.c      st_stuff.h
    wi_stuff.c      wi_stuff.h)

add_library(strife STATIC ${STRIFE_SOURCES})

target_include_directories(strife PRIVATE "../" "../../win32/" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(strife textscreen SDL2::SDL2)
if(ENABLE_SDL2_MIXER)
    target_link_libraries(strife SDL2::mixer)
endif()
if(ENABLE_SDL2_NET)
    target_link_libraries(strife SDL2::net)
endif()

=== debian/changelog ===
chocolate-doom (3.0.1+really3.0.0+git1208-1) unstable; urgency=medium

  * New upstream version 3.0.1+really3.0.0+git1208.
  * Try harder to shut up lintian.
  * Bump Standards-Version to 4.6.1.
  * Update my Debian packaging copyright.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 30 Aug 2022 22:54:43 +0200

## chocolate-doom 3.0.1+really3.0.0+git1471

=== opl/CMakeLists.txt ===
add_library(opl STATIC
            opl_internal.h
            opl.c           opl.h
            opl_linux.c
            opl_obsd.c
            opl_queue.c     opl_queue.h
            opl_sdl.c
            opl_timer.c     opl_timer.h
            opl_win32.c
            ioperm_sys.c    ioperm_sys.h
            opl3.c          opl3.h)
target_include_directories(opl
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(opl SDL2::SDL2)
if(ENABLE_SDL2_MIXER)
    target_link_libraries(opl SDL2::mixer)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -229,6 +229,9 @@
 if(ENABLE_SDL2_NET)
     target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::net)
 endif()
+if(WIN32)
+    target_link_libraries("${PROGRAM_PREFIX}setup" winmm)
+endif()
 
 if(MSVC)
     set_target_properties("${PROGRAM_PREFIX}setup" PROPERTIES

=== src/doom/CMakeLists.txt ===
add_library(doom STATIC
            am_map.c        am_map.h
            deh_ammo.c
            deh_bexstr.c
            deh_cheat.c
            deh_doom.c
            deh_frame.c
            deh_misc.c      deh_misc.h
            deh_ptr.c
            deh_sound.c
            deh_thing.c
            deh_weapon.c
                            d_englsh.h
            d_items.c       d_items.h
            d_main.c        d_main.h
            d_net.c
                            doomdata.h
            doomdef.c       doomdef.h
            doomstat.c      doomstat.h
                            d_player.h
            dstrings.c      dstrings.h
                            d_textur.h
                            d_think.h
            f_finale.c      f_finale.h
            f_wipe.c        f_wipe.h
            g_game.c        g_game.h
            hu_lib.c        hu_lib.h
            hu_stuff.c      hu_stuff.h
            info.c          info.h
            m_menu.c        m_menu.h
            m_random.c      m_random.h
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_floor.c
            p_inter.c       p_inter.h
            p_lights.c
                            p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c        p_mobj.h
            p_plats.c
            p_pspr.c        p_pspr.h
            p_saveg.c       p_saveg.h
            p_setup.c       p_setup.h
            p_sight.c
            p_spec.c        p_spec.h
            p_switch.c
            p_telept.c
            p_tick.c        p_tick.h
            p_user.c
            r_bsp.c         r_bsp.h
            r_data.c        r_data.h
                            r_defs.h
            r_draw.c        r_draw.h
                            r_local.h
            r_main.c        r_main.h
            r_plane.c       r_plane.h
            r_segs.c        r_segs.h
            r_sky.c         r_sky.h
                            r_state.h
            r_things.c      r_things.h
            s_sound.c       s_sound.h
            sounds.c        sounds.h
            statdump.c      statdump.h
            st_lib.c        st_lib.h
            st_stuff.c      st_stuff.h
            wi_stuff.c      wi_stuff.h)

target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(doom SDL2::SDL2)
if(ENABLE_SDL2_MIXER)
    target_link_libraries(doom SDL2::mixer)
endif()
if(ENABLE_SDL2_NET)
    target_link_libraries(doom SDL2::net)
endif()

=== src/heretic/CMakeLists.txt ===
add_library(heretic STATIC
            am_data.h
            am_map.c            am_map.h
            ct_chat.c           ct_chat.h
            deh_ammo.c
            deh_frame.c
            deh_htext.c
            deh_htic.c          deh_htic.h
            deh_sound.c
            deh_thing.c
            deh_weapon.c
            d_main.c
            d_net.c
                                doomdata.h
                                doomdef.h
                                dstrings.h
            f_finale.c
            g_game.c
            info.c              info.h
            in_lude.c
            m_random.c          m_random.h
            mn_menu.c
                                p_action.h
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_floor.c
            p_inter.c
            p_lights.c
            p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c
            p_plats.c
            p_pspr.c
            p_saveg.c
            p_setup.c
            p_sight.c
            p_spec.c            p_spec.h
            p_switch.c
            p_telept.c
            p_tick.c
            p_user.c
            r_bsp.c
            r_data.c
            r_draw.c
                                r_local.h
            r_main.c
            r_plane.c
            r_segs.c
            r_things.c
            sb_bar.c
            sounds.c            sounds.h
            s_sound.c           s_sound.h)

target_include_directories(heretic PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(heretic textscreen SDL2::SDL2)
if(ENABLE_SDL2_MIXER)
    target_link_libraries(heretic SDL2::mixer)
endif()
if(ENABLE_SDL2_NET)
    target_link_libraries(heretic SDL2::net)
endif()

=== src/hexen/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
             m_random.c          m_random.h
             mn_menu.c
             p_acs.c
+                                p_action.h
             p_anim.c
             p_ceilng.c
             p_doors.c

=== debian/changelog ===
chocolate-doom (3.0.1+really3.0.0+git1471-1) unstable; urgency=medium

  * update debian/watch file
  * New upstream version 3.0.1+really3.0.0+git1471

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Dec 2022 22:24:18 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libsdl2-dev (>= 2.0.7),
  python3,
  python3-pil
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
 Homepage: https://chocolate-doom.org/

## chocolate-doom 3.0.1+really3.0.0+git1548

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 set(PACKAGE_BUGREPORT "chocolate-doom-dev-list@chocolate-doom.org")
 
 string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
-set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2022")
+set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2023")
 set(PACKAGE_LICENSE "GNU General Public License, version 2")
 
 # Any settings that should apply to all targets in this directory and all
@@ -27,6 +27,9 @@
     add_compile_options("-Wall" "-Wdeclaration-after-statement"
                         "-Wredundant-decls")
 endif()
+
+option(CMAKE_FIND_PACKAGE_PREFER_CONFIG
+       "Lookup package config files before using find modules" On)
 
 option(ENABLE_SDL2_NET "Enable SDL2_net" On)
 option(ENABLE_SDL2_MIXER "Enable SDL2_mixer" On)
@@ -45,8 +48,8 @@
 endif()
 
 # Check for libsamplerate.
-find_package(samplerate)
-if(SAMPLERATE_FOUND)
+find_package(SampleRate)
+if(SampleRate_FOUND)
     set(HAVE_LIBSAMPLERATE TRUE)
 endif()
 
@@ -54,6 +57,12 @@
 find_package(PNG)
 if(PNG_FOUND)
     set(HAVE_LIBPNG TRUE)
+endif()
+
+# Check for FluidSynth.
+find_package(FluidSynth 2.2.0)
+if(FluidSynth_FOUND AND ENABLE_SDL2_MIXER)
+    set(HAVE_FLUIDSYNTH TRUE)
 endif()
 
 find_package(m)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::SDL2)
 if(ENABLE_SDL2_NET)
-    target_link_libraries("${PROGRAM_PREFIX}server" SDL2::net)
+    target_link_libraries("${PROGRAM_PREFIX}server" SDL2_net::SDL2_net)
 endif()
 
 # Source files used by the game binaries (chocolate-doom, etc.)
@@ -52,6 +52,7 @@
     gusconf.c           gusconf.h
     i_cdmus.c           i_cdmus.h
     i_endoom.c          i_endoom.h
+    i_flmusic.c
     i_glob.c            i_glob.h
     i_input.c           i_input.h
     i_joystick.c        i_joystick.h
@@ -65,7 +66,8 @@
     i_timer.c           i_timer.h
     i_video.c           i_video.h
     i_videohr.c         i_videohr.h
-    i_winmusic.c        i_winmusic.h
+    i_winmusic.c
+    midifallback.c      midifallback.h
     midifile.c          midifile.h
     mus2mid.c           mus2mid.h
     m_bbox.c            m_bbox.h
@@ -126,16 +128,19 @@
 
 set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 textscreen pcsound opl)
 if(ENABLE_SDL2_MIXER)
-    list(APPEND EXTRA_LIBS SDL2::mixer)
+    list(APPEND EXTRA_LIBS SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    list(APPEND EXTRA_LIBS SDL2::net)
-endif()
-if(SAMPLERATE_FOUND)
-    list(APPEND EXTRA_LIBS samplerate::samplerate)
+    list(APPEND EXTRA_LIBS SDL2_net::SDL2_net)
+endif()
+if(SampleRate_FOUND)
+    list(APPEND EXTRA_LIBS SampleRate::samplerate)
 endif()
 if(PNG_FOUND)
     list(APPEND EXTRA_LIBS PNG::PNG)
+endif()
+if(FluidSynth_FOUND)
+    list(APPEND EXTRA_LIBS FluidSynth::libfluidsynth)
 endif()
 if(WIN32)
 	list(APPEND EXTRA_LIBS winmm)
@@ -224,10 +229,10 @@
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 setup textscreen)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::mixer)
+    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::net)
+    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2_net::SDL2_net)
 endif()
 if(WIN32)
     target_link_libraries("${PROGRAM_PREFIX}setup" winmm)
@@ -241,9 +246,9 @@
 add_executable(midiread midifile.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
 target_compile_definitions(midiread PRIVATE "-DTEST")
 target_include_directories(midiread PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
-target_link_libraries(midiread SDL2::SDL2main SDL2::SDL2)
+target_link_libraries(midiread SDL2::SDL2)
 
 add_executable(mus2mid mus2mid.c memio.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
 target_compile_definitions(mus2mid PRIVATE "-DSTANDALONE")
 target_include_directories(mus2mid PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
-target_link_libraries(mus2mid SDL2::SDL2main SDL2::SDL2)
+target_link_libraries(mus2mid SDL2::SDL2)

=== src/doom/CMakeLists.txt ===
--- 
+++ 
@@ -70,8 +70,8 @@
 target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(doom SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(doom SDL2::mixer)
+    target_link_libraries(doom SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(doom SDL2::net)
+    target_link_libraries(doom SDL2_net::SDL2_net)
 endif()

=== src/heretic/CMakeLists.txt ===
--- 
+++ 
@@ -56,8 +56,8 @@
 target_include_directories(heretic PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(heretic textscreen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(heretic SDL2::mixer)
+    target_link_libraries(heretic SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(heretic SDL2::net)
+    target_link_libraries(heretic SDL2_net::SDL2_net)
 endif()

=== src/setup/CMakeLists.txt ===
--- 
+++ 
@@ -17,5 +17,5 @@
 target_include_directories(setup PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(setup textscreen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(setup SDL2::mixer)
+    target_link_libraries(setup SDL2_mixer::SDL2_mixer)
 endif()

=== debian/changelog ===
chocolate-doom (3.0.1+really3.0.0+git1548-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:37 +1100

chocolate-doom (3.0.1+really3.0.0+git1548-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:12:34 +0000

chocolate-doom (3.0.1+really3.0.0+git1548-1) unstable; urgency=medium

  * New upstream version 3.0.1+really3.0.0+git1548.
  * Bump Standards-Version to 4.6.2.
  * Bump my Debian copyright year to 2023.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 13:26:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chocolate-doom
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,7 +14,7 @@
  libsdl2-dev (>= 2.0.7),
  python3,
  python3-pil
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
 Homepage: https://chocolate-doom.org/

=== debian/watch ===
version=4
https://github.com/@PACKAGE@/@PACKAGE@/tags \
https://github.com/@PACKAGE@/@PACKAGE@/archive/refs/tags/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## chocolate-doom 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Chocolate Doom" VERSION 3.0.0 LANGUAGES C)
+project("Chocolate Doom" VERSION 3.1.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -15,7 +15,7 @@
 set(PACKAGE_BUGREPORT "chocolate-doom-dev-list@chocolate-doom.org")
 
 string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
-set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2023")
+set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2024")
 set(PACKAGE_LICENSE "GNU General Public License, version 2")
 
 # Any settings that should apply to all targets in this directory and all
@@ -34,7 +34,7 @@
 option(ENABLE_SDL2_NET "Enable SDL2_net" On)
 option(ENABLE_SDL2_MIXER "Enable SDL2_mixer" On)
 
-find_package(SDL2 2.0.7)
+find_package(SDL2 2.0.14)
 if(ENABLE_SDL2_MIXER)
     find_package(SDL2_mixer 2.0.2)
 else()

=== opl/CMakeLists.txt ===
--- 
+++ 
@@ -14,5 +14,5 @@
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries(opl SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(opl SDL2::mixer)
+    target_link_libraries(opl SDL2_mixer::SDL2_mixer)
 endif()

=== src/hexen/CMakeLists.txt ===
--- 
+++ 
@@ -58,8 +58,8 @@
 target_include_directories(hexen PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(hexen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(hexen SDL2::mixer)
+    target_link_libraries(hexen SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(hexen SDL2::net)
+    target_link_libraries(hexen SDL2_net::SDL2_net)
 endif()

=== src/strife/CMakeLists.txt ===
--- 
+++ 
@@ -72,8 +72,8 @@
 target_include_directories(strife PRIVATE "../" "../../win32/" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(strife textscreen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(strife SDL2::mixer)
+    target_link_libraries(strife SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(strife SDL2::net)
+    target_link_libraries(strife SDL2_net::SDL2_net)
 endif()

=== debian/changelog ===
chocolate-doom (3.1.0-1) unstable; urgency=medium

  * Update Homepage link (Closes: #1043984)
  * New upstream version 3.1.0
  * Bump Standards-Version to 4.7.0
  * Update my Debian packaging copyright

 -- Fabian Greffrath <fabian@debian.org>  Tue, 06 Aug 2024 08:38:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chocolate-doom
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,10 +13,10 @@
  libsdl2-dev (>= 2.0.7),
  python3,
  python3-pil
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
-Homepage: https://chocolate-doom.org/
+Homepage: https://www.chocolate-doom.org
 Rules-Requires-Root: no
 
 Package: chocolate-doom
